v.net.distance - node cost column

2019-05-08 12:20 AM - Sergio Antonio

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/GRASS

Affected QGIS version:3.4.7 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29827

Description

Tool: v.net.distance

The "node cost column" field is not finding the numeric columns from the point layers.

Please see attached picture.

Associated revisions

Revision 37036a5e - 2019-05-22 03:15 PM - Alexander Bruy

[processing] use correct parent layer parameter in v.net.distance

algorithm (fix #22013)

Revision 88647ff5 - 2019-05-23 01:45 AM - Alexander Bruy

[processing] use correct parent layer parameter in v.net.distance

algorithm (fix #22013)

Revision 1dcd3a85 - 2019-05-23 04:23 AM - Alexander Bruy

[processing] use correct parent layer parameter in v.net.distance

algorithm (fix #22013)

History

#1 - 2019-05-09 01:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee set to Giovanni Manghi

from what input layer this column must be taken? input line layer? input point layer (from)? input point layer (to)?

also I see that we are using the name "flayer" and "tlayer" for this from/to inputs, names that are not in the manual page for v.net.distance, are they legacy

names that are still supported in recent grass releases?

#2 - 2019-05-09 01:34 PM - Giovanni Manghi

- Category changed from GRASS to Processing/GRASS

#3 - 2019-05-13 02:39 PM - Sergio Antonio
Giovanni Manghi wrote:

from what input layer this column must be taken? input line layer? input point layer (from)? input point layer (to)?

also I see that we are using the name "flayer" and "tlayer" for this from/to inputs, names that are not in the manual page for v.net.distance, are they

legacy names that are still supported in recent grass releases?

About "flayer" and "tlayer: sorry, I'm an end user and I do not know how to answer it.

About "from what input layer this column must be taken" input line layer "input point layer (from)" input point layer (to) ": input layer FROM.

Rationale: It is better to use input layer FROM to maintain the standard used in the GUI of the tools v.net alloc, allpairs, iso, path.

#4 - 2019-05-13 03:39 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2019-05-22 03:31 PM - Alexander Bruy

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

- Operating System deleted (Windows 10)

- Assignee changed from Giovanni Manghi to Alexander Bruy

PR https://github.com/qgis/QGIS/pull/10060

#6 - 2019-05-23 01:45 AM - Alexander Bruy

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|88647ff5a6124da5a8134214d32ad447fdaf9b70.

#7 - 2019-05-23 05:43 AM - Alexander Bruy

- Resolution set to fixed/implemented

Files

node cost - v_net_distance.png 18 KB 2019-05-07 Sergio Antonio
